#ifndef __borel__
#define __borel__

#include <iostream>
#include "math/matrix.hh"



namespace HELL {

  extern void SetBorelOrder(unsigned int order = 1);

  extern pthread_mutex_t mutex_borel;
  extern dcomplex BorelPadeSum(dcomplex z, int nPade, dcomplex *coeff, int Ncoeff);
  extern dcomplex BorelPadeSum(dcomplex z, int nPadeNum, int nPadeDen, dcomplex *coeff, int Ncoeff);
  extern dcomplex BorelPadeTransform(dcomplex wz, int nPadeNum, int nPadeDen, dcomplex *coeff, int Ncoeff, dcomplex *a, dcomplex *b, bool *fail=NULL);

};

#endif
